SaxErrorHandler (marc4j)
Keywords: org.marc4j.marcxml.SaxErrorHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class SaxErrorHandler

    java.lang.Object
      org.marc4j.marcxml.SaxErrorHandler

All Implemented Interfaces:
  ErrorHandler

public class SaxErrorHandler
extends Object
implements ErrorHandler

`SaxErrorHandler` is a SAX2 `ErrorHandler` implementation.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `ErrorHandler`

Field Summary
`static int` | `ERR_IGNORE`
`static int` | `ERR_PRINT`
`static int` | `FATAL_IGNORE`
`static int` | `FATAL_PRINT`
`static int` | `WARN_PRINT`

Constructor Summary
`SaxErrorHandler()`
`SaxErrorHandler(int flags)`

Method Summary
`void` | `error(SAXParseException e)`
`void` | `fatalError(SAXParseException e)`
`static String` | `printParseException(String label, SAXParseException e)`
`void` | `warning(SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERR_PRINT

    public static final int ERR_PRINT

See Also:
  Constant Field Values

### ERR_IGNORE

    public static final int ERR_IGNORE

See Also:
  Constant Field Values

### WARN_PRINT

    public static final int WARN_PRINT

See Also:
  Constant Field Values

### FATAL_PRINT

    public static final int FATAL_PRINT

See Also:
  Constant Field Values

### FATAL_IGNORE

    public static final int FATAL_IGNORE

See Also:
  Constant Field Values

Constructor Detail

### SaxErrorHandler

    public SaxErrorHandler()

### SaxErrorHandler

    public SaxErrorHandler(int flags)

Method Detail

### error

    public void error(SAXParseException e)
               throws SAXParseException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXParseException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXParseException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXParseException`

### warning

    public void warning(SAXParseException e)
                 throws SAXParseException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXParseException`

### printParseException

    public static String printParseException(String label,
                                             SAXParseException e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.